curl --request GET \
--url https://api.dexpaprika.com/pools/searchimport requests
url = "https://api.dexpaprika.com/pools/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/pools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexpaprika.com/pools/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dexpaprika.com/pools/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dexpaprika.com/pools/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexpaprika.com/pools/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyAdvanced pool filtering across multiple networks.
Retrieves a paginated list of pools matching the advanced search criteria across multiple chains. Supports various filters and cursor-based pagination.
curl --request GET \
--url https://api.dexpaprika.com/pools/searchimport requests
url = "https://api.dexpaprika.com/pools/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/pools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexpaprika.com/pools/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dexpaprika.com/pools/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dexpaprika.com/pools/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexpaprika.com/pools/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyTutorial: Filter and screen liquidity pools
Query Parameters
Comma-separated list of chains to search in (e.g., 'ethereum,polygon'). If empty, all chains are searched.
Number of items to return per page (max 100).
1 <= x <= 100Cursor for pagination.
Only results created at or after this time: unix seconds, a relative offset from now such as -24h (units s, m, h, d), RFC3339 (2026-09-24T10:00:00Z) or a date (2026-09-24, 00:00 UTC).
Only results created at or before this time: unix seconds, a relative offset from now such as -24h (units s, m, h, d), RFC3339 (2026-09-24T10:00:00Z) or a date (2026-09-24, 00:00 UTC).
Filter pools with a 6h price change percentage greater than or equal to this value.
Filter pools with a 6h price change percentage less than or equal to this value.
Filter pools with a 48h price change percentage greater than or equal to this value.
Filter pools with a 48h price change percentage less than or equal to this value.
Filter pools with a 1h price change percentage greater than or equal to this value.
Filter pools with a 1h price change percentage less than or equal to this value.
Filter pools with a 5m price change percentage greater than or equal to this value.
Filter pools with a 5m price change percentage less than or equal to this value.
Filter pools with a 24h price change percentage greater than or equal to this value.
Filter pools with a 24h price change percentage less than or equal to this value.
volume_usd_24h, volume_usd_7d, volume_usd_30d, liquidity_usd, txns_24h, created_at, price_usd, price_change_percentage_48h, price_change_percentage_24h, price_change_percentage_6h, price_change_percentage_1h, price_change_percentage_5m asc, desc If true, the response will include enriched data.
Was this page helpful?